@import (reference) "../../styles/vars.less";

#block_works {
    background-color: @white_color;
    padding-bottom: 100px;

    @media screen and (max-width: 670px) {
        padding-bottom: 20px;
    }

    .center {
        @media screen and (max-width: 670px) {
            text-align: center;
        }
    }

    h1 {
        padding-top: 30px;
        font-size: 60px;
        line-height: 83px;
        color: @black_color;
        font-weight: 600;

        @media screen and (max-width: 670px) {
            text-align: center;
        }

        
        &::selection {
            background-color: @yellow_color;
            color: @white_color;
            text-shadow: -1px 0 @black_color, 0 1px @black_color, 1px 0 @black_color, 0 -1px @black_color;
        }
    }

    .image {
        width: 39px;
        height: 39px;
        margin-top: 30px;


        @media screen and (max-width: 670px) {
            text-align: center;
        }



        &::selection {
            background-color: @white_color;
        }
    }

    .offer {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
        padding-top: 50px;

        @media screen and (max-width: 670px) {
            display: block;
        }

        &__simple {
            width: 49%;
            padding-top: 50px;

            @media screen and (max-width: 670px) {
                width: 100%;
            }

            .photo {
                width: 250px;
                position: absolute;
                top: 100px;

                .icon {
                    &::selection {
                        background-color: transparent;
                    }
                }
            }

            &--top {
                display: flex;
                justify-content: space-around;

                .title {
                    font-size: 36px;
                    line-height: 55px;
                    font-weight: normal;
                    position: relative;
                    z-index: 1;
                    padding-left: 37px;
                    padding-top: 75px;
                    margin-bottom: 0;

                    @media screen and (max-width: 670px) {
                        padding-left: 10px;
                    }

                    &::selection {
                        background-color: @yellow_color;
                        color: @white_color;
                        text-shadow: -1px 0 @black_color, 0 1px @black_color, 1px 0 @black_color, 0 -1px @black_color;
                    }
                }

                .icon {
                    position: relative;
                    z-index: 1;
                    width: 64px;
                    height: 64px;

                    &::selection {
                        background-color: transparent;
                    }
                }
            }

            &--bottom {
                font-size: 14px;
                line-height: 25px;
                font-weight: normal;
                padding-left: 20px;

                p::selection {
                    background-color: @yellow_color;
                    color: @white_color;
                }
            }
        }
    }

}